perlモジュールの追加方法

よく、プラグインを入れたけど、なんとかのモジュールが足りませんなどのエラーが出て断念してしまうことはないですか?

シックスアパート株式会社のMovable Type News Letterというメルマガをとってるんですが、今朝の記事に「メール投稿プラグイン」が紹介されていたので、早速設置してみたんです。
プラグインのインストールは上手く行ったのですが、いくつかのperlモジュールがたりないというエラーが出てしまいました。

この、perlモジュール。
きっと、私のようなHTMLからスタートした文系デザイナにとっては、まったくワケの分からない代物で。
ネットで検索してみても、理系プログラマさんたちの常識からスタートした説明文は、タイトルにどんなに「超初歩的な」とか書いてあったとしても、途中で理解が迷子になるのが常。。。

でもなんとか「CPAN」(http://search.cpan.org/)というサイトでダウンロードできるらしいという情報をゲットしました。

たとえば
Mail::POP3Client
というモジュールが足りませんというメッセージが出てしまった。というとき。

SPANのトップページのサイト内検索窓に「Mail::POP3Client」と入力します。
それらしいものが並んだ一覧が出るので、該当のページを開きます。
右側にダウンロードできるリンクがあるので、そこから
Mail-POP3Client-2.19.tar.gz
をダウンロードします。
ちなみに
.tar.gzは「Lhaz」というソフトで解凍できます。

そのファイルを、サーバのMTをインストールした階層のlibやextlibなどのフォルダにアップロードします。

以上です。

ちなみに、メール投稿プラグイン、まだ動きません。
何が悪いのか。。。何かの設定をすっ飛ばしているのか。。。

成功のご報告が出来る様に、頑張ってみます!

コメントの投稿

トラックバック